<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"/>

  <xsl:template match="/xml">
    <html>
      <head>
        <title><xsl:value-of select='channel'></xsl:value-of></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <style type='text/css'>/*<![CDATA[*/
          .fix {font-family:monospace}
          .u {text-decoration:underline}
        /*]]>*/</style>
      </head>
      <body>
        <xsl:if test="string(channel)">
        <h1>Log of <xsl:value-of select='channel'/></h1>
        </xsl:if><xsl:if test="string(start)">
        <p>Log started on <xsl:value-of select='substring(start,0,11)'/></p>
        </xsl:if><p>Translated by <a href='http://www.ellesime.net/bbs/index.php?act=ST&amp;t=13390'>DnDBot</a></p>
        <p><xsl:apply-templates select='log'/></p>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="message">
    <xsl:if test="not(contains(.,' .r ')) and not(contains(.,' .d '))
and not(contains(.,' has joined #')) and not(contains(.,' has left #'))and not(contains(.,' has signed off IRC ('))and not(contains(.,' Disconnected from '))and not(contains(.,' is now known as '))and not(contains(.,' has been kicked from #')) and not(contains(.,'*** Mode change &quot;'))
and not(contains(.,' 现已将其昵称改为 ')) and not(contains(.,' * 新加入: '))and not(contains(.,' * 已退出: '))and not(contains(.,' * 已离开: '))and not(contains(.,' 踢出 (')) and not(contains(.,' 设置模式为:'))
and not(contains(.,' 设置模式:')) and not(contains(.,'* 您已经加入了 #')) and not(contains(.,'.IP) 加入了 #')) and not(contains(.,'* 连接已断开')) and not(contains(.,' 设置,在 ')) and not(contains(.,'* 正试图重新进入...')) and not(contains(.,'你已经连接到IRC服务器(网络标识')) and not(contains(.,'自动进入 #')) and not(contains(.,'.IP)向你开小窗')) and not(contains(.,'.IP) 退出了 #')) and not(contains(.,'.IP) 已退出'))
    ">
      <xsl:if test="string(@time)">[<xsl:value-of select="substring(@time,0,6)"/>]
      </xsl:if><xsl:if test="string(@sender)"><xsl:value-of select="@sender"/>:
      </xsl:if><xsl:apply-templates/><br/>
    </xsl:if>
  </xsl:template>

  <xsl:template match="action">
    <xsl:if test="string(@time)">[<xsl:value-of select="substring(@time,0,6)"/>]
    </xsl:if>* <xsl:if test="string(@sender)"><xsl:value-of select="@sender"/>&#160;</xsl:if><xsl:apply-templates/><br/>
  </xsl:template>

  <xsl:template match="topic">
    <xsl:if test="string(@time)">[<xsl:value-of select="substring(@time,0,6)"/>]
    </xsl:if><xsl:if test="string(@setBy)"><xsl:value-of select="@setBy"/> changes topic to
    </xsl:if><xsl:if test="not(string(@setBy))">Topic changed to
    </xsl:if><xsl:apply-templates/><br/>
  </xsl:template>

  <xsl:template match="color">
    <span><xsl:attribute name='style'>color:<xsl:choose>
      <xsl:when test="@code=0">white</xsl:when>
      <xsl:when test="@code=1">black</xsl:when>
      <xsl:when test="@code=2">navy</xsl:when>
      <xsl:when test="@code=3">green</xsl:when>
      <xsl:when test="@code=4">red</xsl:when>
      <xsl:when test="@code=5">maroon</xsl:when>
      <xsl:when test="@code=6">purple</xsl:when>
      <xsl:when test="@code=7">brown</xsl:when>
      <xsl:when test="@code=8">yellow</xsl:when>
      <xsl:when test="@code=9">lime</xsl:when>
      <xsl:when test="@code=10">teal</xsl:when>
      <xsl:when test="@code=11">aqua</xsl:when>
      <xsl:when test="@code=12">blue</xsl:when>
      <xsl:when test="@code=13">fuchsia</xsl:when>
      <xsl:when test="@code=14">gray</xsl:when>
      <xsl:when test="@code=15">silver</xsl:when>
      <xsl:when test="@code='default'">black</xsl:when>
      <xsl:otherwise><xsl:value-of select='@code'/></xsl:otherwise>
    </xsl:choose></xsl:attribute><xsl:apply-templates/></span>
  </xsl:template>

  <xsl:template match="background">
    <span><xsl:attribute name='style'>background-color:<xsl:choose>
      <xsl:when test="@code=00">white</xsl:when>
      <xsl:when test="@code=01">black</xsl:when>
      <xsl:when test="@code=02">navy</xsl:when>
      <xsl:when test="@code=03">green</xsl:when>
      <xsl:when test="@code=04">red</xsl:when>
      <xsl:when test="@code=05">maroon</xsl:when>
      <xsl:when test="@code=06">purple</xsl:when>
      <xsl:when test="@code=07">brown</xsl:when>
      <xsl:when test="@code=08">yellow</xsl:when>
      <xsl:when test="@code=09">lime</xsl:when>
      <xsl:when test="@code=10">teal</xsl:when>
      <xsl:when test="@code=11">aqua</xsl:when>
      <xsl:when test="@code=12">blue</xsl:when>
      <xsl:when test="@code=13">fuchsia</xsl:when>
      <xsl:when test="@code=14">gray</xsl:when>
      <xsl:when test="@code=15">silver</xsl:when>
      <xsl:when test="@code=default">white</xsl:when>
      <xsl:otherwise><xsl:value-of select='@code'/></xsl:otherwise>
    </xsl:choose></xsl:attribute><xsl:apply-templates/></span>
  </xsl:template>

  <xsl:template match="fix">
    <span class='fix'><xsl:apply-templates/></span>
  </xsl:template>

  <xsl:template match="reverse">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="custom">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="b">
    <strong><xsl:apply-templates/></strong>
  </xsl:template>

  <xsl:template match="i">
    <em><xsl:apply-templates/></em>
  </xsl:template>

  <xsl:template match="u">
    <span class='u'><xsl:apply-templates/></span>
  </xsl:template>

</xsl:stylesheet>
